
Infrastructure - Task #3952

Story # 3875 (Closed): Create a dashboard (version 1) for DataONE to provide high level overall system status

Task # 3946 (Closed): Implement the Maps View, Model, and Collections in the Dashboard

Query Redmine for MN locations

2013-08-27 16:54 - Chris Jones

Status: Closed Start date: 2013-08-27

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2014.14-Block.2.3   

Milestone: None Story Points:  

Product Version: *   

Description

MN locations (lat/lons) are currently stored in redmine.  Update redmine issues for MNs with a NodeIdentifier custom field so we can

join these data with data from the CN node list.  Override the fetch() method in the model to grab MN lat/lons.

History

#1 - 2013-08-27 17:05 - Chris Jones

For future reference, this is working:

curl -o - -k "https://redmine.dataone.org/issues.xml?project_id=20&tracker_id=9&cf_31=*&limit=100" | xml sel -t -m "/issues/issue" -v

"concat(subject,'|',custom_fields/custom_field[@name='NodeIdentifier']/value,'|',custom_fields/custom_field[@name='Latitude']/value,'|',custom_fields/

custom_field[@name='Longitude']/value)" -n

to produce

Cornell Lab of Ornithology Avian Knowledge Network|urn:node:CLOAKN|42.42|-76.49

ONEShare MN|urn:node:ONEShare|35.1107|-106.6099

CDL Merritt MN|urn:node:CDL|37.81|-122.27

LTER Network MN|urn:node:LTER|35.1107|-106.6099

ESA Data Registry|urn:node:ESA|38.89|-77.02

SANParks MN|urn:node:SANPARKS|-24.08|31.57

KNB|urn:node:KNB|34.4124|-199.8423

PISCO|urn:node:PISCO|34.41|-119.69

USGS CSAS|urn:node:USGSCSAS|35.9318|-84.3108

Taiwan Forestry Research Institute MN|urn:node:TFRI|23.93|120.63

ORNL DAAC MN|urn:node:ORNLDAAC|35.9318|-84.3108

#2 - 2013-08-30 16:10 - Chris Jones

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0
We're getting lat/lons per MN now using the /issues.xml REST API.

#3 - 2013-09-13 16:13 - Chris Jones

- Target version changed from 2013.33-Block.4.4 to 2013.37-Block.5.2

#4 - 2013-10-28 16:17 - Chris Jones

- Target version changed from 2013.37-Block.5.2 to 2013.44-Block.6.1

#5 - 2014-01-06 18:32 - Chris Jones

- Target version changed from 2013.44-Block.6.1 to 2014.2-Block.1.1

#6 - 2014-03-14 17:12 - Skye Roseboom

- Target version changed from 2014.2-Block.1.1 to 2014.12-Block.2.2

#7 - 2014-03-31 17:41 - Skye Roseboom

- Target version changed from 2014.12-Block.2.2 to 2014.14-Block.2.3
